LegendPosition (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.legend

## Class LegendPosition

- java.lang.Object
- - com.twosigma.beakerx.chart.legend.LegendPosition

- All Implemented Interfaces:
    java.io.Serializable

      public class LegendPosition
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LegendPosition.Position`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LegendPosition` | `BOTTOM`
    `static LegendPosition` | `BOTTOM_LEFT`
    `static LegendPosition` | `BOTTOM_RIGHT`
    `static LegendPosition` | `LEFT`
    `static LegendPosition` | `RIGHT`
    `static LegendPosition` | `TOP`
    `static LegendPosition` | `TOP_LEFT`
    `static LegendPosition` | `TOP_RIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegendPosition()`
    `LegendPosition(int[] coordinates)`
    `LegendPosition(LegendPosition.Position position)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LegendPosition.Position` | `getPosition()`
    `int` | `getX()`
    `int` | `getY()`
    `void` | `setPosition(LegendPosition.Position position)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOP

          public static final LegendPosition TOP

    - #### LEFT

          public static final LegendPosition LEFT

    - #### BOTTOM

          public static final LegendPosition BOTTOM

    - #### RIGHT

          public static final LegendPosition RIGHT

    - #### TOP_LEFT

          public static final LegendPosition TOP_LEFT

    - #### TOP_RIGHT

          public static final LegendPosition TOP_RIGHT

    - #### BOTTOM_LEFT

          public static final LegendPosition BOTTOM_LEFT

    - #### BOTTOM_RIGHT

          public static final LegendPosition BOTTOM_RIGHT

  - ### Constructor Detail

    - #### LegendPosition

          public LegendPosition()

    - #### LegendPosition

          public LegendPosition(LegendPosition.Position position)

    - #### LegendPosition

          public LegendPosition(int[] coordinates)

  - ### Method Detail

    - #### getPosition

          public LegendPosition.Position getPosition()

    - #### setPosition

          public void setPosition(LegendPosition.Position position)

    - #### getX

          public int getX()

    - #### setX

          public void setX(int x)

    - #### getY

          public int getY()

    - #### setY

          public void setY(int y)